EGG-CROP(1)

NAME
egg-crop - crop geometry in an .egg file

SYNOPSIS
egg-crop [opts] -o output.egg input.egg
egg-crop [opts] input.egg >output.egg

DESCRIPTION
egg-crop strips out all parts of an egg file that fall outside of an arbitrary bounding volume, specified with a minimum and maximum point in world coordinates.

OPTIONS

-noabs
    Don't allow the input egg file to have absolute pathnames. If it does, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-min x,y,z
    Specify the minimum point.

-max x,y,z
    Specify the maximum point.

-o filename
    Specify the filename to which the resulting egg file will be written. If this option is omitted, the egg file is written to standard output.

-cs coordinate-system
    Specify the coordinate system of the resulting egg file. This may be one of 'y-up', 'z-up', 'y-up-left', or 'z-up-left'. The default is the same coordinate system as the input egg file. If this is different from the input egg file, a conversion will be performed.

-f  Force complete loading: load up the egg file along with all of its external references.

-h  Display this help page.